Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
analyses
/
{analysis_id}
/
metrics
/
brand_perception
/
cluster_groups
List Pros and Cons Cluster Groups
curl --request GET \
  --url https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/analyses/{analysis_id}/metrics/brand_perception/cluster_groups \
  --header 'Authorization: <api-key>'
[
  {
    "cluster_group": "all_cons",
    "clusters": [
      "quality",
      "price",
      "reach"
    ]
  },
  {
    "cluster_group": "all_pros",
    "clusters": [
      "comfortable",
      "sporty",
      "style"
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

analysis_id
string<uuid>
required

A UUID string identifying the analysis.

organization_id
string<uuid>
required

A UUID string identifying the organization.

workspace_id
string<uuid>
required

A UUID string identifying the workspace.

Query Parameters

translate_to_en
boolean

If true, translates clusters and attributes to English. Defaults to false.

Response

200 - application/json
cluster_group
string
required
clusters
string[]
required